#include <bits/stdc++.h>

using namespace std;
void ispisi(vector<long long> &niz,bool pov,vector<long long> &pom){
    long long kolko=1;
    for(long long i=0;i<niz.size();i++){
        kolko*=pom[i];
        cout<<niz[i]*kolko+(pov ? 1:0)<<" ";
    }
}
int main()
{
    cout<<-1;
    return 0;
}